Zum Hauptinhalt springen
POST
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
Einen Blueprint auf org- oder Repo-Ebene erstellen
curl --request POST \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contents": "<string>",
  "repo_name": "<string>"
}
'
{
  "blueprint_id": "<string>",
  "created_at": 123,
  "repo_name": "<string>",
  "type": "enterprise",
  "updated_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Berechtigungen

Erfordert einen Service-Benutzer mit der Berechtigung ManageRepoBlueprints auf Organisationsebene. Das Erstellen von Blueprints auf Org-Ebene erfordert die Berechtigung ManageOrgSnapshots.

Verhalten

Erstellt einen Blueprint auf Org- oder Repo-Ebene. Ein Blueprint definiert die deklarative Umgebungskonfiguration für Devin-Sitzungen. Änderungen an einem Blueprint lösen nicht automatisch einen Build aus — Sie müssen den builds-Endpunkt explizit aufrufen.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Body

application/json
contents
string | null

Optionaler initialer YAML-Body für das Blueprint.

repo_name
string | null

Wenn gesetzt, wird ein Blueprint auf Repo-Ebene für dieses Repository erstellt. Wenn nicht angegeben, wird ein Blueprint auf Org-Ebene erstellt.

Antwort

Erfolgreiche Antwort

Öffentliches Ressourcenformat für Blueprint.

Hinweis: Das Enum type kann in Zukunft erweitert werden; Clients MÜSSEN unbekannte Werte robust verarbeiten. Der YAML-Inhalt wird separat über GET /blueprints/{id}/contents abgerufen.

blueprint_id
string
erforderlich
created_at
integer
erforderlich
repo_name
string | null
erforderlich
type
enum<string>
erforderlich
Verfügbare Optionen:
enterprise,
org,
repo
updated_at
integer
erforderlich